/*******************************************************************************
 * Copyright 2019 2Fi Business Solutions Ltd.
 *
 *
 *
 * This code is copyrighted. Under no circumstances should any party, people,
 * or organization should redistribute any portions of this code in any form,
 * either verbatim or through electronic media, to any third parties, unless
 * under explicit written permission by 2Fi Business Solutions Ltd.
 ******************************************************************************/
package com.ffii.tbms.file;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

@Entity
@Table(name = "files_blob")
public class FileBlob extends BaseEntity<Integer> {

	private static final long serialVersionUID = -9044712421536780602L;

	@Column(columnDefinition = "int")
	private int fileId;

	@Column(columnDefinition = "longblob")
	private byte[] bytes;

	/** Default constructor */
	public FileBlob() {

	}

	/*
	 * getters and setters
	 */

	public int getFileId() {
		return fileId;
	}

	public void setFileId(int fileId) {
		this.fileId = fileId;
	}

	public byte[] getBytes() {
		return bytes;
	}

	public void setBytes(byte[] bytes) {
		this.bytes = bytes;
	}

}
